> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar erros da operação

> Lista erros por linha/coluna da operação de import.



## OpenAPI

````yaml /api-reference/openapi.json get /api/management/spreadsheet-operations/{operation}/errors
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/spreadsheet-operations/{operation}/errors:
    parameters:
      - name: operation
        in: path
        required: true
        schema:
          type: string
          format: uuid
        example: 019dd427-5d13-71bf-9a09-d75aa2bf4bd7
    get:
      tags:
        - spreadsheet-operations
        - errors
      summary: Listar erros da operação
      description: Lista erros por linha/coluna da operação de import.
      operationId: listarErrosDaOperacaoDePlanilha
      responses:
        '200':
          description: Lista de erros retornada com sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    example: true
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      per_page:
                        type: integer
                        example: 30
                      to:
                        type: integer
                        example: 30
                      total:
                        type: integer
                        example: 4
                  spreadsheet_operation_errors:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        row:
                          type: integer
                          example: 5
                        column_key:
                          type: string
                        column_label:
                          type: string
                        message:
                          type: string
                        context:
                          type: object
                        created_at:
                          type: string
                          format: date-time
              example:
                response: true
                meta:
                  current_page: 1
                  from: 1
                  last_page: 1
                  per_page: 30
                  to: 4
                  total: 4
                spreadsheet_operation_errors:
                  - id: 019c75de-50f0-7366-a948-b8cbdd1841be
                    row: 5
                    column_key: project.name
                    column_label: Nome
                    message: The name field is required.
                    context: null
                    created_at: '2026-06-01T14:31:10.000000Z'
        '401':
          description: Não autenticado
        '403':
          description: Sem permissão
        '404':
          description: Não encontrado
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````